Skip to main content

Get Customer Volume

This API is used to retrieve customer volume data, aggregated 1-day intervals.

Request​

Request-Line​

POST /cdn/v1.0/analytics/getVolumeByCustomerId HTTP/1.1

Request Parameters​

Body Parameters​

ParameterTypeRequiredDescription
startTimeStringMandatoryStart time. Use the format yyyy-MM-ddT00:00:00Z (e.g., 2024-01-15T00:00:00Z).
endTimeStringMandatoryEnd time. Use the format yyyy-MM-ddT00:00:00Z (e.g., 2024-01-16T00:00:00Z).

Response​

Response Body​

ParameterTypeDescription
ArrayArray of Service Volume object.
Object: Service Volume​
ParameterTypeDescription
timestampStringTimestamp in UTC, Use the format yyyy-MM-ddT00:00:00Z.
valueLongVolume value in bytes (e.g., 1024).

Status Codes, Error Codes and Error Messages​

Status CodeError CodeError Message
400CustomerId.InvalidCustomer ID is empty or invalid.
400Time.InvalidStartTime or EndTime is required.
400DayIntervalTimeFormat.InvalidStartTime or EndTime must use the format yyyy-MM-ddT00:00:00Z.
400TimeRange.ExceededThe time range between StartTime and EndTime cannot exceed 90 days.
400TimeRange.EndBeforeStartEndTime must be later than StartTime.
400Interval.InvalidInterval is invalid.
500InternalErrorThe request processing has failed due to some unknown error, exception or failure.

Examples​

Get Customer Volume​

Request​

POST /cdn/v1.0/analytics/getVolumeByCustomerId HTTP/1.1

{
"startTime": "2025-11-06T00:00:00Z",
"endTime": "2025-11-09T00:00:00Z"
}

Successful Response Body​

[
{
"timestamp": "2025-11-06T00:00:00Z",
"value": 8984842662053294
},
{
"timestamp": "2025-11-07T00:00:00Z",
"value": 9358693958303120
},
{
"timestamp": "2025-11-08T00:00:00Z",
"value": 10013127294236162
}
]